/**
 * License Agreement.
 *
 *  JBoss RichFaces - Ajax4jsf Component Library
 *
 * Copyright (C) 2007  Exadel, Inc.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
 */

package org.ajax4jsf.bean;

import javax.faces.event.ActionEvent;

public class RichPanelTestBean {
	private String value;
	private int value2;
	private Object panelValue;
	private Object panelValue2;
	
	public RichPanelTestBean() {
		value = "";
		value2 = 0;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}
	
	public void actionListener(ActionEvent event) {
		this.value = event.getComponent().getId(); 
	}
	
	public String action1() {
		this.value2 = 1;
		return null;
	}
	
	public String action2() {
		this.value2 = 2;
		return null;
	}
	
	public String increment() {
		if (4 == this.value2) {
			this.value2 = 0;
		}
		this.value2++;
		return null;
	}

	public int getValue2() {
		return value2;
	}

	public void setValue2(int value2) {
		this.value2 = value2;
	}
	
	public Object getPanelValue() {
		return panelValue;
	}

	public void setPanelValue(Object panelValue) {
		this.panelValue = panelValue;
	}

	public void cleanValues(ActionEvent event) {
		value = "";
		value2 = 0;
		panelValue = null;
		panelValue2 = null;
	}

	public Object getPanelValue2() {
		return panelValue2;
	}

	public void setPanelValue2(Object panelValue2) {
		this.panelValue2 = panelValue2;
	}

}
